Package org.eclipse.mat.parser.index

# Class IndexWriter.IntIndexStreamer

java.lang.Object
org.eclipse.mat.parser.index.IndexWriter.IntIndexStreamer

Enclosing class:
  `IndexWriter`

public static class IndexWriter.IntIndexStreamer extends Object
A helper to write out an index to a file.

## Constructor Summary

Constructors
Constructor
Description
`IntIndexStreamer()`

## Method Summary

Modifier and Type
Method
Description
`int`
`get(int index)`
`int[]`
`getAll(int[] index)`
`int[]`
`getNext(int index, int length)`
`IteratorInt`
`iterator()`
`void`
`set(int index, int value)`
`int`
`size()`
`void`
`unload()`
`IIndexReader.IOne2OneIndex`
`writeTo(DataOutputStream out, long position, int[] array)`
Write out a page at a particular position.
`IIndexReader.IOne2OneIndex`
`writeTo(DataOutputStream out, long position, IteratorInt iterator)`
Write out a page at a particular position.
`IIndexReader.IOne2OneIndex`
`writeTo(File indexFile, int[] array)`
Write an array to a file and return an index reader.
`IIndexReader.IOne2OneIndex`
`writeTo(File indexFile, IteratorInt iterator)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### IntIndexStreamer

public IntIndexStreamer()

## Method Details

### writeTo

public IIndexReader.IOne2OneIndex writeTo(File indexFile, IteratorInt iterator) throws IOException

Throws:
  `IOException`

### writeTo

public IIndexReader.IOne2OneIndex writeTo(File indexFile, int[] array) throws IOException
Write an array to a file and return an index reader.

Parameters:
  `indexFile` - the file
  `array` - the array to write out
Returns:
  the index reader
Throws:
  `IOException` - if a problem occurs with the write

### writeTo

public IIndexReader.IOne2OneIndex writeTo(DataOutputStream out, long position, IteratorInt iterator) throws IOException
Write out a page at a particular position.

Parameters:
  `out` - the output stream
  `position` - the position of the data
  `iterator` - where the data comes from
Returns:
  a reader for the data written so far
Throws:
  `IOException` - if the is a problem with the write

### writeTo

public IIndexReader.IOne2OneIndex writeTo(DataOutputStream out, long position, int[] array) throws IOException
Write out a page at a particular position.

Parameters:
  `out` - the output stream
  `position` - the position of the data
  `array` - where the data comes from
Returns:
  a reader for the data written so far
Throws:
  `IOException` - if the is a problem with the write

### get

public int get(int index)

### getNext

public int[] getNext(int index, int length)

### getAll

public int[] getAll(int[] index)

### set

public void set(int index, int value)

### unload

public void unload()

### size

public int size()

### iterator

public IteratorInt iterator()